Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: mod_backhand: devel

Re: Bug#495075: wackamole: embedding perl needs PERL_SYS_INIT3()

 

 

mod_backhand devel RSS feed   Index | Next | Previous | View Threaded


debian at menole

Aug 15, 2008, 7:23 AM

Post #1 of 1 (4457 views)
Permalink
Re: Bug#495075: wackamole: embedding perl needs PERL_SYS_INIT3()

F.Y.I.

On Thu, Aug 14, 2008 at 01:52:53PM +0300, Niko Tyni wrote:
> Package: wackamole
> Version: 2.1.1-3.1
> Severity: important
> User: debian-perl [at] lists
> Usertags: perl-sys-init3
>
> As described in the 'perlembed' document, programs embedding Perl
> must use the PERL_SYS_INIT3() and PERL_SYS_TERM() macros to provide
> system-specific tune up of the C runtime environment necessary to run
> Perl interpreters.
>
> Your package has been identified as failing this:
>
> - at least one of the binary packages built from the source depends
> on libperl5.10
>
> - the unpacked source matches 'perl_parse' but not 'PERL_SYS_INIT3'
>
> As a consequence, the embedded Perl interpreter is most probably
> broken on the hppa architecture, where PERL_SYS_INIT3() is needed for
> initializing lock structures. Without this, calling perl_parse() will
> hang inside pthread_mutex_lock(). See #486069 for more information.
>
> Cheers,
> --
> Niko Tyni ntyni [at] debian
>
>
>
>

--
Kind Regards,
Michael Mende

http://www.menole.net/
_______________________________________________
backhand-devel mailing list
backhand-devel [at] lists
http://lists.backhand.org/mailman/listinfo/backhand-devel

mod_backhand devel RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.